<div class="container mt-10">
  <div class="row mb-4 align-items-center justify-content-center">
    <div class="col-lg-6">
      <div class="title">
        <h1 class="mb-0">Featured Products</h1>
     </div>
     </div>
     <div class="col-lg-6" >
        <div class="list float-end">
          <ul>
            <li><a href="#">All</a></li>
            <li><a class="active" href="#">Vegetables</a></li>
            <li><a href="#">Fruits</a></li>
            <li><a href="#">Coffe & teas</a></li>
            <li><a href="#">Meat</a></li>
          </ul>
        </div>
     </div>
  </div>
</div>
<div id="products" class="carousel slide" data-bs-ride="true">
  <div class="carousel-inner">
    <div class="carousel-item active">
      <div class="row justify-content-center custom-row">
        <div class="col-10">
          <div class="row g-2">
            <div class="col-md-2 col-lg-2" *ngFor="let item of items ;let i = index">
              <div class="card">
                <img [src]="item.img" [alt]="item.name" class="d-block w-100" >
                <div class="card-body">
                    <div class="mt-1">
                      <p class="opacity-50 m-0 type">{{item.type}}</p>
                      <strong>{{item.name}}</strong>
                    </div>
                    <div class="rating">
                      <div>
                        <i class="bi bi-star-fill active"></i>
                        <i class="bi bi-star-fill active"></i>
                        <i class="bi bi-star-fill active"></i>
                        <i class="bi bi-star-fill active"></i>
                        <i class="bi bi-star-fill none"></i>
                      </div>
                      <span class="opacity-50">(4)</span>
                    </div>
                    <div>
                      <small class="opacity-50">by </small><span class="text-theme">Mr.food</span>
                    </div>

                    <div class="d-flex flex-row align-items-center justify-content-between">
                      <div>
                        <div class="price">
                          <span class="me-2">{{item.sale_price}}</span>
                          <small class="text-decoration-line-through">{{item.before}}</small>
                        </div>
                      </div>
                      <div class="float-end">
                        <button class="btn bg-custom px-4 py-2"><i class="bi bi-cart"></i> Add</button>
                      </div>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="carousel-item">
      <div class="row justify-content-center">
        <div class="col-10">
          <div class="row g-2">
            <div class="col-md-2 col-lg-2" *ngFor="let item of items ;let i = index">
              <div class="card">
                <img [src]="item.img" [alt]="item.name" class="d-block w-100" >
                <div class="card-body">
                    <div class="mt-1">
                      <p class="opacity-50 m-0 type">{{item.type}}</p>
                      <strong>{{item.name}}</strong>
                    </div>
                    <div class="rating">
                      <div>
                        <i class="bi bi-star-fill active"></i>
                        <i class="bi bi-star-fill active"></i>
                        <i class="bi bi-star-fill active"></i>
                        <i class="bi bi-star-fill active"></i>
                        <i class="bi bi-star-fill none"></i>
                      </div>
                      <span class="opacity-50">(4)</span>
                    </div>
                    <div>
                      <small class="opacity-50">by </small><span class="text-theme">Mr.food</span>
                    </div>

                    <div class="d-flex flex-row align-items-center justify-content-between">
                      <div>
                        <div class="price">
                          <span class="me-2">{{item.sale_price}}</span>
                          <small class="text-decoration-line-through">{{item.before}}</small>
                        </div>
                      </div>
                      <div class="float-end">
                        <button class="btn bg-custom px-4 py-2"><i class="bi bi-cart"></i> Add</button>
                      </div>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="carousel-item">
      <div class="row justify-content-center">
        <div class="col-10">
          <div class="row g-2">
            <div class="col-md-2 col-lg-2" *ngFor="let item of items ;let i = index">
              <div class="card">
                <img [src]="item.img" [alt]="item.name" class="d-block w-100">
                <div class="card-body">
                    <div class="mt-1">
                      <p class="opacity-50 m-0 type">{{item.type}}</p>
                      <strong>{{item.name}}</strong>
                    </div>
                    <div class="rating">
                      <div>
                        <i class="bi bi-star-fill active"></i>
                        <i class="bi bi-star-fill active"></i>
                        <i class="bi bi-star-fill active"></i>
                        <i class="bi bi-star-fill active"></i>
                        <i class="bi bi-star-fill none"></i>
                      </div>
                      <span class="opacity-50">(4)</span>
                    </div>
                    <div>
                      <small class="opacity-50">by </small><span class="text-theme">Mr.food</span>
                    </div>

                    <div class="d-flex flex-row align-items-center justify-content-between">
                      <div>
                        <div class="price">
                          <span class="me-2">{{item.sale_price}}</span>
                          <small class="text-decoration-line-through">{{item.before}}</small>
                        </div>
                      </div>
                      <div class="float-end">
                        <button class="btn bg-custom px-4 py-2"><i class="bi bi-cart"></i> Add</button>
                      </div>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <button class="carousel-control-prev" type="button" data-bs-target="#products" data-bs-slide="prev">
    <img src="../../assets/body/Left.png" alt="" >
    <span class="visually-hidden">Previous</span>
  </button>
  <button class="carousel-control-next" type="button" data-bs-target="#products" data-bs-slide="next">
    <img src="../../assets/body/right.png" alt="" >
    <span class="visually-hidden">Next</span>
  </button>
</div>
